﻿namespace UltraTabbedMdiManagerButtons
{
    using System;
    using System.Drawing;
    using System.Windows.Forms;
    using Infragistics.Win.UltraWinTabs;

    public partial class Form1 : Form
    {
        private Image prevButtonImage = null;
        private Image nextButtonImage = null;

        public Form1()
        {
            this.InitializeComponent();

            new Infragistics.Win.UIElementViewer.UIElementViewerForm().Show();

            this.IsMdiContainer = true;
            this.Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            for(int i = 0; i < 30; i++)
            {
                var child = new Child();
                child.Text = "Child Form " + (i + 1);
                child.MdiParent = this;
                child.Show();
            }

            this.ultraTabbedMdiManager1.DrawFilter = new DF(this.PrevButtonImage, this.NextButtonImage);
            this.ultraTabbedMdiManager1.CreationFilter = new CF();

            this.ultraTabbedMdiManager1.TabGroupSettings.TabHeight = 30;
            this.ultraTabbedMdiManager1.TabGroupSettings.CloseButtonLocation = TabCloseButtonLocation.Tab;
        }

        public Image PrevButtonImage
        {
            get
            {
                if(this.prevButtonImage == null)
                {
                    this.prevButtonImage = Image.FromFile(@"../../imgs/Prev.png");
                }

                return this.prevButtonImage;
            }
        }

        public Image NextButtonImage
        {
            get
            {
                if(this.nextButtonImage == null)
                {
                    this.nextButtonImage = Image.FromFile(@"../../imgs/Next.png");
                }

                return this.nextButtonImage;
            }
        }
    }
}
